// Here's an example of usage of the FCWS macro.
// A simple cylinder of polystyrene.
// Diego Krota, 1998.
// dkrota@geocities.com
// http://www.geocities.com/SiliconValley/Way/2419

#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "fcws.inc"

#declare cantainer_height = 10;
#declare cantainer_radius = 5;
#declare number_of_spheres = 2000;
#declare sphere_max_radius = .7;
#declare sphere_min_radius = .5;
#declare intersect = yes;
#declare contain_all = yes;
 
camera{
	location  <0, 15, -20>
	look_at   <0, 0,  0>
}

light_source{ <1, 1, -1> * 100 color White * 1.5}

#declare polystyrene_cylinder = FCWS (cantainer_height, cantainer_radius, number_of_spheres,
									sphere_max_radius, sphere_min_radius, intersect, contain_all)

object{
	polystyrene_cylinder
	pigment{color White}
}



